---
- name: Manage service
  ansible.windows.win_pagefile:
    automatic: "{{ item['automatic'] | default(omit) }}"
    drive: "{{ item['drive'] | default(omit) }}"
    initial_size: "{{ item['initial_size'] | default(omit) }}"
    maximum_size: "{{ item['maximum_size'] | default(omit) }}"
    override: "{{ item['override'] | default(omit) }}"
    remove_all: "{{ item['remove_all'] | default(omit) }}"
    state: "{{ item['state'] | default('query') }}"
    system_managed: "{{ item['system_managed'] | default(omit) }}"
    test_path: "{{ item['test_path'] | default(omit) }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: |
      "{{ item['drive'] }} →
      {% if item['state'] == 'query' %}
      Query pagefile size
      {% else %}
      Initial Size: {{ item['initial_size'] }}MB,
      Maximum Size: {{ item['maximum_size'] }}MB
      {% endif %}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_pagefile
